# Script overview

Overview and quickstart instructions for scripts.

To install scripts, copy them somewhere on your Win 3, then add them to your path. This is done by adding a line to the end of `~/.bashrc`  
For example if the scripts are located in `/home/user/.local/win3-resources/scripts`, add the following at the end of your `~/.bashrc`:

```
PATH="${PATH}:/home/user/.local/win3-resources/scripts"
``` 

Replacing the folder as needed.

## TDP

Lets you set the TDP using `intel_rapl`. Tested on Ubuntu 21.04.  
Also supports shortened commands for minimal typing on the mediocre keyboard.

PL1 is set to number provided, PL2 is set 2W higher, maybe PL2 will be customizable in the future.  
You will have to enter your sudo password when changing TDP.

Common TDPs are:
- 8W (Ultra-low power, mostly just 2D games)
- 12W (Low-power)
- 15W (Balanced)
- 20W (High perf)
- 30W (Max perf)

For details on how to use, run `tdp help`.

Common examples:

```
# Check current TDP
tdp check

# Set TDP to 8W
tdp set 8

# Set TDP to 8W (Shortened)
tdp s 8

# Check both PL1 and PL2
tdp check --detail

# Check both PL1 and PL2 (Shortened)
tdp c -d
```

*Protip:* Add `tdp check` to the end of your `.bashrc` file. Then your terminal will display the TDP every time it's opened, without needing to run any command.

### Setting TDP at boot

Copy `tdp-set.service` into `/etc/systemd/system/`

Edit `/etc/systemd/system/tdp-set.service` and change the `ExecStart=` line so it points to your tdp script, and type in your preferred wattage at the end.


Enable the service:

```
sudo systemctl deamon-reload
sudo systemctl enable tdp-set.service
```

Reboot your Win 3, then run `tdp check` to verify that TDP was set correctly.
